<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="3.5">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{2E4DE79B-67F4-4803-8C9A-5708B4335353}</ProjectGuid>
    <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <RootNamespace>FingersDance</RootNamespace>
    <AssemblyName>FingersDance</AssemblyName>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
    <WarningLevel>4</WarningLevel>
    <OutputType>winexe</OutputType>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <RunPostBuildEvent>OnBuildSuccess</RunPostBuildEvent>
    <PublishUrl>Publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Web</InstallFrom>
    <UpdateEnabled>true</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>false</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>.\bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugSymbols>false</DebugSymbols>
    <Optimize>true</Optimize>
    <OutputPath>.\bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x86\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x86</PlatformTarget>
    <CodeAnalysisUseTypeNameInSuppression>true</CodeAnalysisUseTypeNameInSuppression>
    <CodeAnalysisModuleSuppressionsFile>GlobalSuppressions.cs</CodeAnalysisModuleSuppressionsFile>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
    <OutputPath>bin\x86\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <PlatformTarget>x86</PlatformTarget>
    <CodeAnalysisUseTypeNameInSuppression>true</CodeAnalysisUseTypeNameInSuppression>
    <CodeAnalysisModuleSuppressionsFile>GlobalSuppressions.cs</CodeAnalysisModuleSuppressionsFile>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Xml.Linq">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data.DataSetExtensions">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="WindowsBase" />
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
    <Reference Include="Microsoft.Surface" />
    <Reference Include="Microsoft.Surface.Presentation" />
    <Reference Include="Microsoft.Surface.Presentation.Generic" />
  </ItemGroup>
  <ItemGroup>
    <ApplicationDefinition Include="App.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </ApplicationDefinition>
    <Compile Include="App.xaml.cs">
      <DependentUpon>App.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <SubType>Designer</SubType>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Content Include="Resources\menu.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
      <DependentUpon>Settings.settings</DependentUpon>
    </Compile>
    <Compile Include="MainSurfaceWindow.xaml.cs">
      <DependentUpon>MainSurfaceWindow.xaml</DependentUpon>
    </Compile>
    <AppDesigner Include="Properties\" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Resources\Butterfly.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Resources\Butterfly.wmv">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Resources\icon.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Resources\iconPreview.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Resources\Lake.jpg">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Resources\Lake.wmv">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Resources\oneflat.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Resources\oneflat.wmv">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Resources\videos.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Resource Include="FingersDance.xml" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\WindowBackground.jpg" />
  </ItemGroup>
  <ItemGroup>
    <Page Include="MainSurfaceWindow.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\FingersDance.ActionFactory\FingersDance.ActionFactory.csproj">
      <Project>{C7B905EA-0678-4DA0-8EF8-7F9CBD22818E}</Project>
      <Name>FingersDance.ActionFactory</Name>
    </ProjectReference>
    <ProjectReference Include="..\FingersDance.Control.Close\FingersDance.Control.Close.csproj">
      <Project>{D579FDB5-D412-4797-A0FF-C5873AE08BB8}</Project>
      <Name>FingersDance.Control.Close</Name>
    </ProjectReference>
    <ProjectReference Include="..\FingersDance.Control.Close\FingersDance.Control.Close.csproj">
      <Project>{D579FDB5-D412-4797-A0FF-C5873AE08BB8}</Project>
      <Name>FingersDance.Control.Close</Name>
    </ProjectReference>
    <ProjectReference Include="..\FingersDance.Control.Menu\FingersDance.Control.Menu.csproj">
      <Project>{6960F7ED-3D82-4BCE-AB88-D31D6C72F2B6}</Project>
      <Name>FingersDance.Control.Menu</Name>
    </ProjectReference>
    <ProjectReference Include="..\FingersDance.Control.Pivot\FingersDance.Control.Pivot.csproj">
      <Project>{0EC4C48C-132C-4926-9A09-A4135C58688C}</Project>
      <Name>FingersDance.Control.Pivot</Name>
    </ProjectReference>
    <ProjectReference Include="..\FingersDance.Control.Screen\FingersDance.Control.Screen.csproj">
      <Project>{67E2CB60-529E-4AFF-8E0F-A8087EE638B1}</Project>
      <Name>FingersDance.Control.Screen</Name>
    </ProjectReference>
    <ProjectReference Include="..\FingersDance.Control.SessionInput\FingersDance.Control.SessionInput.csproj">
      <Project>{4C5C068F-7D41-4563-9109-7B57485F4BED}</Project>
      <Name>FingersDance.Control.SessionInput</Name>
    </ProjectReference>
    <ProjectReference Include="..\FingersDance.Control.UserPanel\FingersDance.Control.UserPanel.csproj">
      <Project>{E6A3A067-1CB4-43D2-BB9C-DC72361F7E22}</Project>
      <Name>FingersDance.Control.UserPanel</Name>
    </ProjectReference>
    <ProjectReference Include="..\FingersDance.Data\FingersDance.Data.csproj">
      <Project>{EAF384DB-2AE4-4132-839D-60F9DAFDEAD8}</Project>
      <Name>FingersDance.Data</Name>
    </ProjectReference>
    <ProjectReference Include="..\FingersDance.ViewModel\FingersDance.ViewModels.csproj">
      <Project>{E81BB080-0598-43AC-90CE-54D6570C4E9E}</Project>
      <Name>FingersDance.ViewModels</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include="Microsoft.Net.Framework.2.0">
      <Visible>False</Visible>
      <ProductName>.NET Framework 2.0 %28x86%29</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.0">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.0 %28x86%29</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Windows.Installer.3.1">
      <Visible>False</Visible>
      <ProductName>Windows Installer 3.1</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
</Project>